package main;

import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.image.Image;
import javafx.scene.layout.BorderPane;
import javafx.stage.Stage;

public class MainProg extends Application {

	public static void main(String[] args) {
		launch(args);

	}

	@Override
	public void start(Stage primaryStage) throws Exception {
		primaryStage.setTitle("AGS Script Editor");
		
		
		BorderPane root = new BorderPane();
		Menus.setStage(primaryStage);
		root.setTop(Menus.getMenus());
		root.setCenter(Menus.getCenter());
		root.setLeft(Menus.getLeft());
		
		Scene myScene = new Scene(root, 800, 600);
		
		primaryStage.getIcons().add(new Image("/media/icon.png"));
		primaryStage.setScene(myScene);
		primaryStage.centerOnScreen();
		primaryStage.show();
	}

}
