package scriptparser;

import main.Menus;

public class AGS_Decrypt {

	static int currentXorValue;
	static int incBy;
	
	public static byte decryptByte(byte b) {
		byte xor =  (byte) (currentXorValue & 0xFF);
		currentXorValue += incBy;
		return (byte) (b ^ xor);
	}
	
	public static int decryptInt(int b) {
		b &= 0xFF;
		byte xor =  (byte) (currentXorValue & 0xFF);
		currentXorValue += incBy;
		return (b ^ xor) & 0xFF;
	}
	
	public static void resetDecrypt() {
		
		switch(Menus.getEngineVersionValue()) {
			case 7:
				currentXorValue = 71;
				incBy = 23;
				break;
			case 8:
				currentXorValue = 41;
				incBy = 13;
				break;
		}
		
		
	}
	
}
