package commands;

import java.util.HashMap;

public class OpCodes {

	static HashMap <Integer, String> opCodes;
	
	static public void prepareCodes() {
		opCodes = new HashMap<>();
		
		opCodes.put(0x00, "cmd_nop");
		opCodes.put(0x01, "DisplayText");
		opCodes.put(0x02, "FlushBuffers");
		
		opCodes.put(0x0A, "ExecuteScript");
		
		opCodes.put(0x14, "GoTo");
		
		opCodes.put(0x18, "cmd_0x18");
		opCodes.put(0x19, "ConditionalJump");
		
		opCodes.put(0x1A, "LoadANI");
		
		opCodes.put(0x1F, "TweenFrames");
		
		opCodes.put(0x20, "cmd_0x20");
		opCodes.put(0x21, "WaitForFrame");
		
		
		opCodes.put(0x28, "FadeFromBlack");
		
		opCodes.put(0x2D, "cmd_0x2D");
		
		opCodes.put(0x32, "SetRenderSize");
		opCodes.put(0x33, "DrawImage");
		
		opCodes.put(0x46, "LoadAudioClip_l");
		
		opCodes.put(0x48, "PlaySFX_l");
		opCodes.put(0x49, "cmd_0x49");
		
		
		opCodes.put(0x4C, "cmd_0x4C");
		
		opCodes.put(0x56, "cmd_0x56");
		opCodes.put(0x57, "cmd_0x57");
		
		opCodes.put(0x68, "SetRenderDimensions");
		
		opCodes.put(0x6E, "TransformImageTo");
		opCodes.put(0x6F, "EnableImagePanRange");
		
		opCodes.put(0x71, "cmd_0x71");
		opCodes.put(0x7A, "LoadBGM");
		
		
		
	}
}
